# Poco::Net

# template < class SR >

# class ParallelSocketReactor

Library: Net
Package: Reactor
Header: Poco/Net/ParallelSocketReactor.h

## Inheritance

Direct Base Classes: SR

All Base Classes: SR

## Member Summary

Member Functions: onIdle

## Types Aliases

### Ptr

using Ptr = Poco::SharedPtr < ParallelSocketReactor >;

## Constructors

### ParallelSocketReactor

ParallelSocketReactor(
const std::string & threadName = ""
);

### ParallelSocketReactor

ParallelSocketReactor(
const Poco::Timespan & timeout,
const std::string & threadName = ""
);

## Destructor

### ~ParallelSocketReactor

~ParallelSocketReactor();

## Member Functions

### onIdle

void onIdle();